Removes entries from a KeyList and returns the updated KeyList.
Entries not in the KeyList are ignored, so retrying is safe.
HTTP request
POST https://mpc.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*/keyLists/*}:removeEntries
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the KeyList to remove entries from. Format: projects/{project}/locations/{location}/instances/{instance}/keyLists/{keyList} It takes the form |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"entries": [
{
object ( |
| Fields | |
|---|---|
entries[] |
Required. The entries to remove. Must contain at least one entry. Entries are matched by |
Response body
If successful, the response body contains an instance of KeyList.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.